%perl_module_wo_prefix razor-agents 2.85 18

Summary: A distributed, collaborative, spam detection and filtering network
URL: http://razor.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/razor/%{name}-%{version}.tar.bz2
License: Artistic 2.0
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Digest::SHA1), perl(URI), perl(Time::HiRes)
BuildRequires: perl(Digest::Nilsimsa)
BuildRequires: perl(MIME::QuotedPrint)

%description
Vipul's Razor is a distributed, collaborative, spam detection and
filtering network. The primary focus of the system is to identify and
disable an email spam before its injection and processing is complete.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall
if [ -d %{buildroot}/usr/man/man5 ]; then
  mkdir -p %{buildroot}%{_mandir}
  mv %{buildroot}/usr/man/man5 %{buildroot}%{_mandir}/
fi
find %{buildroot} -perm 0555 -exec chmod 0755 {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README MANIFEST FAQ
%{perl_vendorarch}/Razor2
%{perl_vendorarch}/auto/Razor2
%{perl_man3dir}/Razor2::*.3pm*

%{perl_bin}/razor-client
%{perl_bin}/razor-check
%{perl_bin}/razor-report
%{perl_bin}/razor-revoke
%{perl_bin}/razor-admin
%{perl_man1dir}/razor-check.1*
%{perl_man1dir}/razor-report.1*
%{perl_man1dir}/razor-revoke.1*
%{perl_man1dir}/razor-admin.1*


%{_mandir}/man5/razor-agent.conf.5*
%{_mandir}/man5/razor-agents.5*
%{_mandir}/man5/razor-whitelist.5*

%changelog
* Sun Jan  4 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.85.

* Sat Jun  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.82.

* Thu Feb 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.77.

* Fri Jul  8 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.75.

* Mon Jul  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.74.

* Sat Jun 18 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.72.

* Tue Dec  7 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.67.

* Wed Jul 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.61.

* Wed Mar 31 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Update to 2.40.
- Removed makemaker and taint patch (applied upstream).

* Wed Oct 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Applied makemaker patch by Michael G Schwern <schwern@pobox.com>.

* Wed Sep 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Apply spamassassin's taint safe patch.
- Update to 2.36.

* Fri May  2 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


